Thermodynamics
Date: 2014-08-08

melting

## Class Thermodynamics

- java.lang.Object
- - melting.Thermodynamics

- Direct Known Subclasses:
    ThermoResult

      public class Thermodynamics
      extends java.lang.Object

  This class represents the thermodynamic energy. It allows to stock the enthalpy and entropy values of a thermodynamic parameter (a calorimetric value from one of the thermodynamic tables). It contains a enthalpy double and a entropy double as instance variables.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `enthalpy` protected double enthalpy : the enthalpy value (delta H).
    `protected double` | `entropy` protected double entropy : the entropy value (delta S).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Thermodynamics(double H, double S)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getEnthalpy()` This method is called to get the enthalpy of Thermodynamics.
    `double` | `getEntropy()` This method is called to get the entropy of Thermodynamics.
    `void` | `setEnthalpy(double enthalpy)` This method is called to change the enthalpy of Thermodynamics.
    `void` | `setEntropy(double entropy)` This method is called to change the entropy of Thermodynamics.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enthalpy

          protected double enthalpy

      protected double enthalpy : the enthalpy value (delta H). (initialised from a file containing the thermodynamic parameters)

    - #### entropy

          protected double entropy

      protected double entropy : the entropy value (delta S). (initialised from a file containing the thermodynamic parameters)

  - ### Constructor Detail

    - #### Thermodynamics

          public Thermodynamics(double H,
                        double S)

  - ### Method Detail

    - #### getEnthalpy

          public double getEnthalpy()

      This method is called to get the enthalpy of Thermodynamics.
      Returns:
        the enthalpy of Thermodynamics.

    - #### setEnthalpy

          public void setEnthalpy(double enthalpy)

      This method is called to change the enthalpy of Thermodynamics.
      Parameters:
        `enthalpy` - : new enthalpy value

    - #### getEntropy

          public double getEntropy()

      This method is called to get the entropy of Thermodynamics.
      Returns:
        the entropy of Thermodynamics.

    - #### setEntropy

          public void setEntropy(double entropy)

      This method is called to change the entropy of Thermodynamics.
      Parameters:
        `entropy` - : new entropy value